Subject: Re: [TLS] TLS 1.3 -> TLS 2.0?
From: Richard Barnes <[email-masked]>
To: Nick Sullivan <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 31 Aug 2016 19:05:46 -0400
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

I am in total agreement with Nick here.  "TLS 1.3" accurately describes
what we're doing here, and it's consistent with our past naming scheme.

There is no upside to changing away from 1.3, and as Nick notes, lots of
potential downside.

--Richard

On Wednesday, August 31, 2016, Nick Sullivan <[email-masked]>
wrote:

> I am reluctant to endorse a name change from TLS 1.3 to TLS 2.0. I see a
> few immediate issues with the proposal:
> - it causes confusion with SSL 2.0
> - it implies wire incompatibility with TLS 1.2
> - it suggests there will be a forthcoming TLS 2.1 with only minor changes
>
> If we're dead set on bumping the major version for a mostly backwards
> compatible protocol change, we should just drop the minor version and go
> with TLS/2.
>
> Nick
>
> On Wed, Aug 31, 2016 at 12:24 PM Bill Frantz <[email-masked]
> <javascript:_e(%7B%7D,'cvml',[email-masked]');>> wrote:
>
>> We could call it TLS 3.4 which would match the internal ID. :-)
>>
>> BTW, I think using something other than 1.3 is a good idea.
>>
>> Cheers - Bill
>>
>> -------------------------------------------------------------------------
>> Bill Frantz        | When it comes to the world     | Periwinkle
>> (408)356-8506      | around us, is there any choice | 16345 Englewood Ave
>> www.pwpconsult.com | but to explore? - Lisa Randall | Los Gatos, CA 95032
>>
>> _______________________________________________
>> TLS mailing list
>> [email-masked] <javascript:_e(%7B%7D,'cvml',[email-masked]');>
>> https://www.ietf.org/mailman/listinfo/tls
>>
>